LineTestDriver (jCharts-0.7.5 API)
Keywords: org.jCharts.test.LineTestDriver,LineTestDriver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.test
Class LineTestDriver

    java.lang.Object
      |
      +--org.jCharts.test.AxisChartTestBase
            |
            +--org.jCharts.test.LineTestDriver

class LineTestDriver
extends AxisChartTestBase

This file provides examples of how to create all the different chart types provided by this package.

Constructor Summary
`(package private)` | `LineTestDriver()`

Method Summary
`(package private) static void` | `axisChartTest(java.lang.String name, AxisChartTestBase axisChartTestBase)` Test for LineChart
`(package private) AxisChartDataSet` | `createAxisChartDataSet(ChartType chartType, ChartTypeProperties chartTypeProperties, int numberOfDataSets, int numberOfValuesToCreate, int minValue, int maxValue)` Generates a random MultiDataSet
`(package private) DataSeries` | `createDataSeries(int numberOfValuesToCreate)`
`(package private) static ChartTypeProperties` | `getChartTypeProperties(int numberOfDataSets)` Separate this so can use for combo chart test
`(package private) DataSeries` | `getDataSeries()`
`static void` | `main(java.lang.String[] args)` DataSeries getDataSeries() throws ChartDataException { String[] xAxisLabels={"1", "2", "3", "4", "5"}; DataSeries dataSeries=new DataSeries( xAxisLabels, "numbers", "numbers", "Bug #559177" ); AxisChartDataSet axisChartDataSet; double[][] data={{1, 2, 3, 4, 5}, {7, 8, Double.NaN, Double.NaN, Double.NaN}, {Double.NaN, Double.NaN, Double.NaN, Double.NaN, 2}}; String[] legendLabels={"set 1", "set 2", "set 3"}; Paint[] paints={Color.blue, Color.red, Color.green}; axisChartDataSet=new AxisChartDataSet( data, legendLabels, paints, ChartType.LINE, this.getChartTypeProperties( 3 ) ); dataSeries.addIAxisPlotDataSet( axisChartDataSet ); return dataSeries; }
`(package private) boolean` | `supportsImageMap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineTestDriver

    LineTestDriver()

Method Detail

### supportsImageMap

    boolean supportsImageMap()

  Specified by:
    `supportsImageMap` in class `AxisChartTestBase`

### getChartTypeProperties

    static ChartTypeProperties getChartTypeProperties(int numberOfDataSets)

  Separate this so can use for combo chart test

  Parameters:
    `numberOfDataSets` -

### getDataSeries

    DataSeries getDataSeries()
                       throws ChartDataException

  Specified by:
    `getDataSeries` in class `AxisChartTestBase`
    `ChartDataException`

### main

    public static void main(java.lang.String[] args)
                     throws ChartDataException,
                            PropertyException

  DataSeries getDataSeries() throws ChartDataException { String[] xAxisLabels={"1", "2", "3", "4", "5"}; DataSeries dataSeries=new DataSeries( xAxisLabels, "numbers", "numbers", "Bug #559177" ); AxisChartDataSet axisChartDataSet; double[][] data={{1, 2, 3, 4, 5}, {7, 8, Double.NaN, Double.NaN, Double.NaN}, {Double.NaN, Double.NaN, Double.NaN, Double.NaN, 2}}; String[] legendLabels={"set 1", "set 2", "set 3"}; Paint[] paints={Color.blue, Color.red, Color.green}; axisChartDataSet=new AxisChartDataSet( data, legendLabels, paints, ChartType.LINE, this.getChartTypeProperties( 3 ) ); dataSeries.addIAxisPlotDataSet( axisChartDataSet ); return dataSeries; }

    `ChartDataException`
    `PropertyException`

### axisChartTest

    static void axisChartTest(java.lang.String name,
                              AxisChartTestBase axisChartTestBase)
                       throws ChartDataException,
                              PropertyException

  Test for LineChart

    `ChartDataException`
    `PropertyException`

### createDataSeries

    final DataSeries createDataSeries(int numberOfValuesToCreate)

### createAxisChartDataSet

    AxisChartDataSet createAxisChartDataSet(ChartType chartType,
                                            ChartTypeProperties chartTypeProperties,
                                            int numberOfDataSets,
                                            int numberOfValuesToCreate,
                                            int minValue,
                                            int maxValue)
                                      throws ChartDataException

  Generates a random MultiDataSet

  Parameters:
    `numberOfDataSets` -
    `numberOfValuesToCreate` - the number of doubles to generate
    `minValue` -
    `maxValue` -
  Returns:
    AxisChartDataSet
    `ChartDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD